@echo off
cls

rem IBM ServeRAID DumpLog Utility Version 3.0
rem Last Modified on 08/27/2003, 16:12
rem Modified by TRD

if NOT EXIST IPSSEND.EXE goto showrules
if .%1.==.. goto showrules
if EXIST %1  GOTO EXIT2

:goahead
if .%2.==.. set ServeRAID=1
if NOT .%2.==.. set ServeRAID=%2
cls

echo.
echo **************************************************************
echo *       IBM ServeRAID DumpLog Utility Version 3.0            *
echo * IPSSEND version 6.10 or higher is required to run properly *
echo **************************************************************
echo.
echo DumpLog Command Parameters Specified:
echo -----------------------------------------
echo Output Filename:  %1
echo ServeRAID Controller %ServeRAID% selected
echo -----------------------------------------
echo.
echo DumpLog Version 3.0 >>%1
echo Detecting Operating System...
IF NOT .%OS%.==.Windows_NT. GOTO DOSMODE
echo Windows detected
ver >>%1
echo Complete

SETLOCAL
echo.
echo.>> %1
echo Capturing Date/time...

for /f "tokens=2-4 delims=/ " %%a in ('date /t') do (
set mm=%%a
set dd=%%b
set yyyy=%%c )
for /f "tokens=1-2 delims=: " %%d in ('time /t') do (
set hr=%%d
set min=%%e )

echo Date is %mm%/%dd%/%YYYY% Time is %hr%:%min% >>%1
echo Complete
echo.
echo.>> %1

echo Capturing the Computer Name...
echo Computer Name is:  %COMPUTERNAME% >> %1
echo Complete
echo.
GOTO START

:DOSMODE
echo.>> %1
echo DOS detected
echo DOS Boot Diskette >>%1
echo Complete
echo.

:START
echo.>> %1
echo Capturing ServeRAID Controller BIOS, Firmware and Driver Details...
echo ****************************************************** >> %1
echo ***SERVERAID BIOS, FIRMWARE, DRIVER VERSIONS********** >> %1
echo ****************************************************** >> %1

ipssend getversion >> %1

echo.>> %1
echo.>> %1

echo Complete
echo.

echo Capturing ServeRAID Controller Configuration Logs...
echo ****************************************************** >> %1
echo ***IPSSEND GETCONFIG LOG****************************** >> %1
echo ****************************************************** >> %1

@echo.>> %1
@echo Note:  The "Boot block" version may or may not be updated depending on the >> %1
@echo ServeRAID controller and the version of microcode being applied. >> %1

ipssend getconfig %ServeRAID% al >> %1

echo.>> %1
echo.>> %1

echo Complete
echo.

echo Capturing ServeRAID Controller Event Logs...
echo ****************************************************** >> %1
echo ***IPSSEND GETEVENT DEVICE, SOFT, HARD, and DDD LOG*** >> %1
echo ****************************************************** >> %1

ipssend getevent %ServeRAID% all >> %1

echo.>> %1
echo.>> %1

echo Complete
echo.

echo Capturing ServeRAID Controller Bad Stripe Table Entries...
echo ****************************************************** >> %1
echo ***IPSSEND GETBST (BAD STRIPE TABLE)****************** >> %1
echo ****************************************************** >> %1

ipssend getbst %ServeRAID% >> %1

echo.>> %1
echo.>> %1

echo Complete
echo.

echo Capturing ServeRAID Controller Domain Validation Test...
echo ****************************************************** >> %1
echo ***IPSSEND DOMAIN VALIDATION TEST*********************  >> %1
echo ****************************************************** >> %1

echo.>> %1
@echo Note:  The Domain Validation Test will capture information on all devices >> %1
@echo attached to every ServeRAID controllers found in the system. >> %1

ipssend getsubstat %ServeRAID% >> %1

echo.>> %1
echo.>> %1
echo Complete
echo.

IF NOT .%OS%.==.Windows_NT. GOTO NOHA
echo Capturing ServeRAID Controller High Availability Configuration Logs...
echo ****************************************************** >> %1
echo **IPSSEND TESTMODE HAINFO LOG************************* >> %1
echo ****************************************************** >> %1

ipssend TESTMODE HAINFO %ServeRAID% >> %1

echo.>> %1
echo.>> %1

echo Complete
echo.

:NOHA
IF .%OS%.==.Windows_NT. GOTO FINAL
echo IPSSEND TESTMODE HAINFO is Not supported when booting from a DOS diskette >> %1

:FINAL
echo **************************************************************
echo *    IBM ServeRAID DumpLog Utility v3.0 command completed    *
echo *      Please send this file to your IBM Support Center      *
echo **************************************************************
echo.
echo Saved to filename:  %1
echo.

set ServeRAID=
goto exit

:showrules
CLS
echo.
echo **************************************************************
echo *       IBM ServeRAID DumpLog Utility Version 3.0            *
echo * IPSSEND version 6.10 or higher is required to run properly *
echo **************************************************************
echo.
echo. DumpLog version 3.0
echo.
echo  usage is:
echo       DUMPLOG FILENAME [n]
echo.
echo  where:
echo       FILENAME - the name of the log file to be created (this will abort
echo                  if the file selected exists)
echo              n - ServeRAID adapter number (optional - defaults to 1)
echo.
echo  Note:  IPSSEND.EXE version 6.10 or higher must be in the same directory 
echo         as this batch/script file.  To determine the version of IPSSEND,
echo         run the IPSSEND command without any parameters.
echo.
echo.
echo. example:  dumplog Adapter1.txt 1
echo.
echo.
goto exit

:exit2
echo.
echo Filename already exists.  Please specify another filename for your first 
echo parameter.  Run DumpLog command without parameters for help.
echo Aborting command...

:exit
IF .%OS%.==.Windows_NT. ENDLOCAL
